#
# Conditional build:
%bcond_without	doc	# Sphinx documentation (not provided by package)
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-cachetools.spec)

%define		module	cachetools
Summary:	Extensible memoizing collections and decorators
Summary(pl.UTF-8):	Rozszerzalne kolekcje i dekoratory z pamięcią
Name:		python-%{module}
# keep 3.x here for python2 support
Version:	3.1.1
Release:	2
Epoch:		1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cachetools/
Source0:	https://files.pythonhosted.org/packages/source/c/cachetools/%{module}-%{version}.tar.gz
# Source0-md5:	91aa9b611b6345154df84e8e37746f41
URL:		https://github.com/tkem/cachetools
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1;3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg-2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides various memoizing collections and decorators,
including variants of the Python 3 Standard Library's @lru_cache
function decorator.

%description -l pl.UTF-8
Ten moduł udostępnia różne kolekcje i dekoratory z pamięcią, w tym
warianty dekoratora funkcji @lru_cache z biblioteki standardowej
Pythona 3.

%package -n python3-%{module}
Summary:	Extensible memoizing collections and decorators
Summary(pl.UTF-8):	Rozszerzalne kolekcje i dekoratory z pamięcią
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
This module provides various memoizing collections and decorators,
including variants of the Python 3 Standard Library's @lru_cache
function decorator.

%description -n python3-%{module} -l pl.UTF-8
Ten moduł udostępnia różne kolekcje i dekoratory z pamięcią, w tym
warianty dekoratora funkcji @lru_cache z biblioteki standardowej
Pythona 3.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Jun 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cachetools.git;a=log;h=master

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> f611e23
- Release 2 (by relup.sh)

* Tue Jun 03 2025 Jakub Bogusz <qboosh@pld-linux.org> f8fa9c4
- epoch 1 because of python3 module mistakenly packaged as python-cachetools-5.5.2-1

* Tue Jun 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 16229ec
- updated to 3.1.1

* Thu Mar 27 2025 Jan Rękorajski <baggins@pld-linux.org> babe6db
- rel 15, disable python3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 209b47e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1651e01
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e1c33bc
- rebuild with tests and docs

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 9729418
- Release 11 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 5e69353
- drop python3-distribute deps

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 44d61be
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d79e334
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> 341aa5e
- release 8 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 998a2cc
- rebuild with python 3.8
- release 7 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2312d5c
- python 3.7 rebuild
- release 6 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c929b3
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5e22599
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cfe785f
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3d26589
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> baa0a1a
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f75576c
- python 3.5 rebuild
- release 2 (by relup.sh)

